"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log = require("./log");
const MqttClient = require("./mqttclient");
class Dispatcher {
    constructor() {
        this._mqttClient = new MqttClient.MqttClient();
        this._mqttClient.register('IoT/test', null);
        this._mqttClient.register('IoT/Device/#', null);
    }
    exec() {
        log.info("Dispatcher starting");
        this._mqttClient.exec();
    }
}
const dispatcher = new Dispatcher();
dispatcher.exec();
//# sourceMappingURL=main.js.map